:root{
    --color-principal: #ecfff6;
    --color-textos: #43c931;
    --color-fondo-card: #fbfffc;
    --color-otro-card: #d7fce9;
    --color-hover-btn: #7ad36e ;
}

html{
    scroll-behavior: smooth;
}

body{
    font-family: "Nunito", sans-serif;
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    padding-top: 80px;
    overflow-x: hidden;
}

.wsp-logo{
    width: 5rem;
}

.nunito{
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
}

/* SECCION NAVBAR */

.icono-menu{
    font-size: 30px;
}

.logo-imagen{
    width: 3rem;
}

.nav-a:hover{
    font-size: 18px;
}

.navbar{
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;

    background: rgba(255, 255, 255, 0.336) !important;

    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.hover:hover{
    font-size: 1.1rem;
}

.navbar-brand{
    color: var(--color-textos) !important;
}

.nav-link{
    color: var(--color-textos) !important;
}

/* SECCION HEADER */

.fondo{
    background-color: var(--color-principal);
}
.fondo-header{
    background-color: var(--color-principal);
}

.etiqueta{
    margin-top: 100px;
    display: inline-block;
    padding: 8px 16px;
    background-color: #b4ffbb8c;
    color: var(--color-textos);
    border-radius: 10px;
    font-size: 14px;
}

.header-index{
    text-align: center;
}

.h1-index{
    color: var(--color-textos);
    max-width: 900px;
    margin: 20px auto;
    font-size: 75px;
    line-height: 1.1;
    text-align: center;
}

.h-shadow{
    text-shadow: 0px 0px 2px var(--color-textos);
}

.p-header{
    color: #666;
    font-size: 25px;
    text-align: center;
    max-width: 900px;
    margin: 20px auto;
}

.btn-nav:hover{
    background-color: var(--color-textos);
}

.navbar-toggler{
    border: none !important;
    box-shadow: none !important;
    outline: none !important;
}

.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus{
    box-shadow: none !important;
    outline: none !important;
}

.botones{
    display: flex;
    justify-content: center;
    gap: 20px;
    padding-bottom: 100px;
}

.botones a{
    text-decoration: none;
    padding: 10px 30px;
    border-radius: 10px;
    font-weight: bold;
    font-family: sans-serif;
    display: inline-block;
}

.btn-principal{
    background: linear-gradient(to right, #55bb48, #43c931);
    color: white;
}

.btn-secundario{
    background-color: white;
    color: black;
    border: 1px solid #d1d5db;
}

.btn-principal:hover{
    background: var(--color-hover-btn);
}

.btn-secundario:hover{
    background-color: var(--color-textos);
    color: white;
    transition: all 0.2s; 
}

.h2-index{
    padding-top: 30px;
    color: var(--color-textos);
    max-width: 900px;
    margin: 20px auto;
    font-size: 35px;
    line-height: 1.1;
    text-align: center;
    font-size: 2.3rem;
}

.hr-index{
    padding-top: 30px;
    padding-bottom: 30px;
}

/* SECCION MAIN */


.index-main{
    /*margin: 1rem 2rem;*/
    margin: 5em 2em;
}

.main-card{
    background-color: var(--color-fondo-card);
    border: 1px solid #43c93181;
    padding: 1rem;
    border-radius: 0.5rem;
    margin: 1rem 0;
    padding: 30px;
    box-shadow: 0px 0px 10px 0px #9dd1969a;
}

.margin-card{
    margin-bottom: 100px;
}

.img-main{
    background-color: var(--color-principal);
    border: 1px solid var(--color-textos);
    border-radius: 0.5rem;
    padding: 10px;
    margin-bottom: 10px;
}

.cards{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    max-width: 1400px;
    margin: auto;
}

.cards-2{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    max-width: 1400px;
    margin: auto;
    padding: 2rem;
}

ul{
    list-style-type: none;
} 

.main-card-2{
    background-color: var(--color-otro-card);
    font-size: 5rem;
}

.centrar{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 200px;
    color: var(--color-textos);
    text-align: center;
    
    max-width: 900px;
    margin: 20px auto;
    font-size: 35px;
    line-height: 1.1;
    font-size: 2.3rem;
}

.ul-section{
    font-size: 1.1rem;
    padding: 10px;
}

.img-ul{
    border: 1px solid var(--color-textos);
    border-radius: 50%;
    padding: 2px;
}

/*  SECCION PROYECTOS */

.card-proyect-1:hover{
    transition: 0.5s;
    scale: calc(1.05);
}

.imagen-oscura {
    filter: brightness(0.6); 
    transition: 0.3s; 
}

.imagen-oscura:hover {
    filter: brightness(1); 
}

.card-proyect{
    background-color: var(--color-principal);
    border: 1px solid #43c93181;
    border-radius: 0.5rem;
    margin: 1rem 0;
    padding: 30px;
    box-shadow: 0px 0px 10px 0px #9dd1969a;
    margin: 3rem auto;
    max-width: 900px;
}


/* SECCION FORMULARIO */


.card-form{
    background-color: var(--color-otro-card);
    border: 1px solid #43c93181;
    border-radius: 0.5rem;
    margin: 1rem 0;
    padding: 30px;
    box-shadow: 0px 0px 10px 0px #9dd1969a;
    margin: 4rem auto;
    max-width: 1050px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.contacto-container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}

.contacto-form{
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.contacto-form input,
.contacto-form textarea{
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #d1d5db;
}

.contacto-form button{
    padding: 15px;
    border: none;
    border-radius: 10px;
    background: linear-gradient(to right, #55bb48, #43c931);
    color: white;
    font-weight: bold;
}

.contacto-info{
    display: flex;
    flex-direction: column;
    gap: 15px;

    align-items: center;
    justify-content: center;
    text-align: center;
    width: 100%;
    max-width: 300px; /* Mismo ancho que el botón grande, ajusta según necesites */
    margin: 0 auto;
}

.contacto-info .item{
    padding: 15px;
    border: 1px solid #d1d5db;
    border-radius: 10px;

    width: 100%;
    display: flex;
    justify-content: center;
}


.contacto{
    text-align: center;
    padding: 80px 20px;
}

.formulario{
    max-width: 800px;
    margin: auto;

    display: flex;
    flex-direction: column;
    gap: 20px;
}


input, select, textarea{
    padding: 15px;
    border-radius: 10px;
    border: 1px solid #d1d5db;
    font-size: 14px;
    background-color: var(--color-principal);
}

input:focus, textarea:focus, select:focus{
    outline: none;
    border-color: var(--color-textos);
}

.btn-form{
    padding: 15px;
    border: none;
    border-radius: 0.5rem;
    background: linear-gradient(to right, #55bb48, #43c931);
    color: white;
    font-weight: bold;
}

.btn-form:hover{
    background: var(--color-hover-btn);
}

label{
    text-align: left;
}


.fila{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.campo{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.contacto-info{
    display: flex;
    flex-direction: column;
    justify-content: center; 
    gap: 20px;
    padding: 10px 0;
    max-width: 500px;
}

.contacto-info .item{
    display: flex;
    align-items: center;
    gap: 10px;

    padding: 15px;
    border: 1px solid var(--color-textos);
    border-radius: 10px;

    transition: 0.3s;
}

.item{
    max-width: 280px;
}

.contacto-info .item:hover{
    background-color: var(--color-principal);
}

.contacto-info h3{
    margin-bottom: 10px;
}

.btn-form-2{
    text-decoration: none;
    color: #111;
}

/* FOOTER */

footer p{
    font-size: 20px !important;
}


.fondo-footer{
    background-color: var(--color-otro-card);
    padding-bottom: 10px;
}


.footer h5, .footer h6{
    margin-bottom: 15px;
}

.footer h5{
    color: var(--color-textos);
}

.footer ul{
    list-style: none;
    padding: 0;
}

.footer ul li{
    margin-bottom: 8px;
}

.footer a{
    color: #000;
    text-decoration: none;
    transition: 0.3s;
}

.footer a:hover{
    color: var(--color-textos);
}

.footer hr{
    width: 100vw;
    margin-left: calc(-50vw + 50%);
}

.contacto-card{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}






@media(max-width: 992px){

    .cards{
        grid-template-columns: 1fr 1fr;
    }

    .cards-2{
        grid-template-columns: 1fr;
    }

    .h1-index{
        font-size: 50px;
    }

    .p-header{
        font-size: 20px;
    }

    .contacto-container{
        grid-template-columns: 1fr;
    }

    .card-form{
        max-width: 900px;
        margin: 2rem;
    }

    .h2-index{
        margin: 1rem;
    }

    .p-header{
        margin: 1rem;
    }

    .contacto-info {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 100%;
    }
    
    .contacto-info .item {
        width: 100%;
        display: flex;
        justify-content: center;
    }
    
    .contacto-info a {
        display: inline-flex;
        justify-content: center;
    }

}

@media(max-width: 768px){

    .cards{
        grid-template-columns: 1fr;
    }

    .cards-2{
        grid-template-columns: 1fr;
    }

    .h1-index{
        font-size: 36px;
    }

    .p-header{
        font-size: 18px;
        margin: 2rem;
    }

    .etiqueta{
        font-size: 12px;
        margin-top: 60px;
    }

    .botones{
        flex-direction: column;
        align-items: center;
        margin: 0 3rem ;
    }

    .botones a{
        width: 100%;
        text-align: center;
    }

    .contacto-info{
        align-items: center;
        text-align: center;
    }

    .fila{
        grid-template-columns: 1fr;
    }

    .card-form{
        padding: 1rem;
        margin: 2rem;
    }

    .texto-extra{
        display: none;
        padding: 0;
        margin: 0;
        background: none;
    }

    .etiqueta{
        padding-top: 2rem;
        display: none;
    }

    .h-shadow{
    text-shadow: 0px 0px 1px var(--color-textos);
    }

    .card-proyect{
        margin: 1rem;
        box-shadow: none;
    }

    hr{
        margin-bottom: 25px;
    }

    .footer{
        text-align: center;
    }

    .wsp-logo{
        width: 4rem;
    }
}